/*
 Theme Name:   Fluxus Child
 Theme URI:    http://cspixelfoundry.com
 Description:  Customizations to the themeforest.com Fluxus theme, modifications by Chestnut St. Pixel Foundry
 Author:       Chestnut St. Pixel Foundry
 Author URI:   http://cspixelfoundry.com
 Template:     fluxus
 Version:      0.1
 Tags:         responsive-layout, child-theme
 Text Domain:  fluxus-child
*/


/* =Theme customization starts here
-------------------------------------------------------------- */
.portfolio-single .project-image figcaption {
    bottom: auto;
}

.gallery .gallery-caption {
    font-size: 11px;
    line-height: 16px;
}

/* ICON THEMES */
.icon-facebook-circled:before {
    color: #000 !important;
}

.icon-facebook-circled:hover:before {
    color: #333 !important;
}

.icon-flickr-circled:before {
    color: #000 !important;
}

.icon-flickr-circled:hover:before {
    color: #333 !important;
}

.icon-pinterest-circled:before {
    color: #000 !important;
}

.icon-pinterest-circled:hover:before {
    color: #333 !important;
}

.icon-vimeo-circled:before {
    color: #000 !important;
}

.icon-vimeo-circled:hover:before {
    color: #333 !important;
}

.icon-linkedin-circled:before {
    color: #000 !important;
}

.icon-linkedin-circled:hover:before {
    color: #333 !important;
}

.icon-instagram-circled:before {
    color: #000!important;
}

.icon-instagram-circled:hover:before {
    color: #333 !important;
}

.icon-youtube-circled{
    display: none; /* the fontello font is missing the correct icon and there's no theme support, hide youtube for now */
}

/* Create a new icon style by css to match the fontello font since the circle version is not included */ 
.icon-email-circled:before {
    content: '\2709';
    color: #fff;
    font-size: 20px !important;
    line-height: 28px;
}

.icon-email-circled {
    background: #000;
    display: inline-block;
    width: 28px;
    height: 28px !important;
    border-radius: 100px;
}

.icon-email-circled:hover {
    background: #333;
}

#sharrre-footer {
    margin-top: 3px;
}

#footer .social-networks .icon-social:before {
    font-size:30px;
}

/*COLOR OF CURRENT ICON*/
.portfolio-navigation .other-projects .active .hover {
    background: #FFCC99;

}

/* FIXING LAST PORTFOLIO BLOCK OUT OF PLACE */
.grid-project[style]:last-child {
    padding-right: 13.5px !important;
}

/* TEXT UNDERNEATH IMAGES LEFT ALIGNED */
.portfolio-single .project-image figcaption {
    right: -10px;
    left: -10px;
    font-size: 12px;
}

/* REVISIONS TO PORTFOLIO PROJECT SIDEBARS */

.sidebar-portfolio-single, .sidebar-portfolio-single .horizontal-page .scroll-container {
    height: 90%; 
    height: calc(100% - 40px);
}

/* MAKING MARGINS ON IMAGE */

.grid-project .preview {
    display: block;
    width: calc(100% - 25px);
    height: calc(100% - 25px);
    margin: auto;
    box-shadow: 1px 1px 5px rgba(136,136,136,0.2);
}

/* SO FOOTER DOESN'T OVERLAP */
/*.portfolio-single .project-image figcaption {*/
    /*bottom: 0;*/
    /*top: 130%;*/
    /*margin-top: -184px;
}*/
    
/* CUSTOM BUTTON APPEARANCE */
    
.button, .widget .button {
    background: #fff;
    font: normal 13px/26px "Lato", "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, arial, sans-serif;
    display: inline-block;
    border: 1px solid #eaeaea;
    padding: 0 10px;
    text-transform: uppercase;
    color: #FF9231;
    text-decoration: none;
}

.button:hover, .widget .button:hover {
    border-color: #aaa;
    color: #CC6600;
}

/*Film Page*/
#director-statement{padding: 20px 0;}
#film h2{font-size: 18px;font-weight: bold;margin: 0 0 16px 0;padding: 0;line-height: 1em;}
#film h1{font-size: 24px;font-weight: bold;text-transform: uppercase;margin: 0 0 16px 0;padding: 0;line-height: 1em;}
.container-film, #press .container{padding: 0 40px;}
.clearfix::after {content: "";clear: both;display: table;}
.tabs li.active {border-bottom: solid 2px #FF9231;font-weight: bold;}
.tabs li {display: inline-block;margin-right: 20px; font-size: 18px;}
.tabs{border-bottom: 1px solid rgba(0,0,0,0.2);}
.left{float:left;}
.col70{width: 66%;padding-right: 4%;}
.col30{width: 30%;}
.col20{width:20%;}
.col80{width:80%;}
.film-info {border-bottom: 1px solid rgba(0,0,0,0.1);padding:10px 0;}
.production-photos img {height: auto;width: 100%;}
.production-photos  dd.wp-caption-text.gallery-caption {display: none;}
#tab1 {padding-bottom: 20px;border-bottom: solid 1px rgba(0,0,0,0.1);}
#tab1 img {margin-bottom: 4px;}
#film, .featured-film {padding: 0 0 40px;}
#tab2, #tab3 {padding-bottom: 20px;}
.project-links a {color: #FF9231;}
#player {margin-top: -140px;}
.trailer p {margin-top: -70px;}
.production-photos {margin-top: -50px;margin-bottom: 20px;}
.film-other-projects a {background-image: none!important;}
.film-other-projects a.active{color: #FF9231;font-weight: bold;}
.film-other-projects span.hover {display: none;}
.film-other-projects a:after {content: "/";color: #FF9231;font-weight: bold;}
.film-other-projects {margin-top: 30px;}
.col30 .btn-appreciate .icon {left: 0;}
.col30 .appreciate-title {padding-left: 22px;}
#film .share-links h2{margin-bottom: 0px;}
#film .gallery .gallery-hover{height: 93%!important;}
.btn-appreciate.has-appreciated, .btn-appreciate.has-appreciated:hover {color: #000!important;border-bottom: none!important;}
#film .share-links .sharelink h2 {margin-bottom: 10px;}
#sharrre-project .count-total, .btn-appreciate .numbers {color: #FF9231!important;}
.featured-film iframe {width: 100%;height: 100%;min-height: 80vh;}
/*Press*/
.page-template-template-portfolio-home {overflow-x: hidden;}
.page-template-template-portfolio-home article.grid-project:last-child {display: none;}
section#press-hero {min-height: 350px;position: relative;}
#press-hero h1 {color: #fff;font-size: 40px;line-height: 1em;font-weight: bold;text-transform: uppercase;display: inline-block;letter-spacing: 0.06em;}
.opaque-bg {
    position: absolute;
    top: 50%;
    padding: 20px 0;
    width: 100%;
    background: #000;
    background: rgba(0, 0, 0, 0.5);
    display: inline-block;
    text-align: center;
    -webkit-transform: translate(0, -50%);
    -moz-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
    -o-transform: translate(0, -50%);
    transform: translate(0, -50%);
}
#press h1{font-size: 24px;font-weight: bold;text-transform: uppercase;margin: 0 0 16px 0;padding: 0 0 10px 0;line-height: 1; border-bottom: solid 1px;}
.press-articles{padding: 40px 0;}
/*.press-articles p {width: 50%;float: left;}*/
.press-articles p:empty{display:none;}
.press-articles {padding: 40px 0;}
#press .container{margin: 0 auto; max-width: 70%;}
.video-item img {height: auto;}
#video-grid {float: left;width: 31.33%;margin: 0 1% 1%;position: relative;}
.video-hover{ position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.8);
  color: #fff;
  visibility: hidden;
  opacity: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  /* transition effect. not necessary */
  transition: opacity .2s, visibility .2s;
  height: 97%;
}
#video-grid:hover .video-hover {visibility: visible;opacity: 1;}
.video-hover h3{ transition:.2s;color: #fff;text-transform: uppercase;letter-spacing: 0.04em;font-size: 21px;line-height: 1.1em;text-shadow: 0 1px 1px rgba(0, 0, 0, 0.4);font-weight: bold;
padding: 0.8em;text-align: center;}
.interviews {padding-bottom: 40px;}
.film-festivals p {margin-bottom: 16px;}
.nivo-lightbox-theme-default.nivo-lightbox-overlay {background: rgba(0,0,0,0.9)!important;}
.nivo-lightbox-theme-default .nivo-lightbox-title-wrap {bottom: -2%!important;}
#film p a {border-bottom: solid 1px;}
#film p a:hover {color:#FF9231;}

/* BREAK POINTS */

@media screen and (max-width: 475px) {

    .grid-project .preview[style]{
        height: 145% !important;
    }

    .grid-project .preview {
        width: calc(100% - 10px);
        height: calc(100% - 10px);
        margin: auto;
    }

    .portfolio-grid .grid-project, .portfolio-grid .grid-project[style] {
        width: 100% !important;
        /*margin-left: 8px;
        margin-top: 16px;*/
        margin-bottom: 30px !important;
    }
    #video-grid {float: none;width: 100%;margin: 0;position: relative;}
}

@media screen and (max-width: 768px) {
    .grid-project .preview[style]{
        height: 95%;
    }

    .portfolio-grid .grid-project, .portfolio-grid .grid-project[style] {
        margin-bottom: 20px;
    }
    
    .portfolio-single .project-image figcaption {
        position: relative;
    }
    .col70, .col30, .col20, .col80{width: 100%;padding-right: 0;}
    .trailer p {margin-top: 0;}
    .production-photos {margin-top: 20px;margin-bottom: 20px;}
    #press .container{margin: 0 auto; max-width: 100%;}
    .press-articles p {width: 100%;float: left;}
    
}

@media screen and (min-width: 1440px) {
    .trailer p {margin-top: -25px;}
    .production-photos {margin-top: 0px;}
}

/*SUBSCRIBE TO BLOG*/

#subscribe-email input {
    width: 64% !important;
    padding: 1px 2px;
    float: left;
    height: 28px;
}

.sidebar input[type="submit"], .sidebar button, #searchsubmit{
    font: normal 11px/26px "Lato", "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, arial, sans-serif;
    display: inline-block;
    border: 1px solid #eaeaea;
    padding: 0 10px;
    text-transform: uppercase;
    color: #666;
    text-decoration: none;
}

/* CHANGE BLOG BOTTOM BORDER */
.excerpt-more{
    border-bottom:1px solid #FFCC99 !important;
}


